osmium::DiffObjectDerived< T > Class Template Reference

`#include <diff_object.hpp>`

Inheritance diagram for osmium::DiffObjectDerived< T >:
[legend]
Collaboration diagram for osmium::DiffObjectDerived< T >:
[legend]

## Public Member Functions

| DiffObjectDerived (const T &prev, const T &curr, const T &next) noexcept
const T & | prev () const noexcept
const T & | curr () const noexcept
const T & | next () const noexcept
Public Member Functions inherited from osmium::DiffObject
| DiffObject () noexcept
| DiffObject (const osmium::OSMObject &prev, const osmium::OSMObject &curr, const osmium::OSMObject &next) noexcept
bool | empty () const noexcept
const osmium::OSMObject & | prev () const noexcept
const osmium::OSMObject & | curr () const noexcept
const osmium::OSMObject & | next () const noexcept
bool | first () const noexcept
bool | last () const noexcept
osmium::item_type | type () const noexcept
osmium::object_id_type | id () const noexcept
osmium::object_version_type | version () const noexcept
osmium::changeset_id_type | changeset () const noexcept
const osmium::Timestamp | start_time () const noexcept
const osmium::Timestamp | end_time () const noexcept
bool | is_between (const osmium::Timestamp &from, const osmium::Timestamp &to) const noexcept
bool | is_visible_at (const osmium::Timestamp &timestamp) const noexcept

## Constructor & Destructor Documentation

template<typename T >

osmium::DiffObjectDerived< T >::DiffObjectDerived | ( | const T & | prev,
|  | const T & | curr,
|  | const T & | next
| ) |  |

inline noexcept

## Member Function Documentation

template<typename T >

const T& osmium::DiffObjectDerived< T >::curr | ( |  | ) | const

inline noexcept

template<typename T >

const T& osmium::DiffObjectDerived< T >::next | ( |  | ) | const

inline noexcept

template<typename T >

const T& osmium::DiffObjectDerived< T >::prev | ( |  | ) | const

inline noexcept

The documentation for this class was generated from the following file:

- osmium/osm/diff_object.hpp